Introduction

Altap Salamander: Plugins: 7-ZIP: Introduction

Getting Started with 7-ZIP Plugin

7-Zip plugin adds a support for 7-Zip archives. You can pack files and directories to 7-Zip archives; browse, test and unpack 7-Zip archives; and delete files and directories from 7-Zip archives. Files in 7-Zip archives can be encrypted.

See Archiver and Menu Extension sections in Using Plugins for a description of basic work with plugin archiver and menu extension.

© 2001-2019 ALTAP. All rights reserved.


Testing Archive

Use this command to test archive for any errors. It tries to unpack all files from archive without storing these files to a disk.

To test archive:

  1. Focus the archive you want to test in panel.
  2. Start testing of focused archive:
    Menu: Plugins/7-Zip/Test Archive
© 2001-2019 ALTAP. All rights reserved.


7-Zip Configuration dialog box

Altap Salamander: Plugins: 7-ZIP: Dialog Boxes

7-Zip Configuration

Use this dialog box to setup the 7-Zip plugin. See Configuring Plugins for general information about configuration.

Options

Display dialog box with extended options before packing
When checked, the plugin displays the Create New Archive dialog box (or Add Files to Archive dialog box if the archive already exists) before each pack operation to a 7-Zip archive. You can specify options for packing in this dialog (compression and encryption settings).
Show extended info when listing archive: Packed, Method
When checked, you can choose if you want to display any of the following columns in panel: Packed (packed size of file) and Method (compression method). Checked columns will be displayed in the panel.
Compression level
Choose the compression level. You can use one of the following values:
Value | Description
Store | No compression is used, files are just stored in archive in its original size.
Fastest | Very fast compression with relatively low compression ratio.
Fast | Fast compression.
Normal | Recommended level of compression.
Maximum | Better compression, but it is slower and needs more memory.
Ultra | Best compression, but it is even slower and needs even more memory.
Compression method
Select the compression method. You can use one of the following methods:
Method | Description
LZMA | 7-Zip's default compression method. It provides high compression ratio and very fast decompression.
PPMd | Dmitry Shkarin's PPMdH algorithm with small changes. Usually it provides high compression ratio and high speed for text files.
Dictionary size
Enter the dictionary size for the compression method. The higher dictionary size means the better compression, but it is slower and needs more memory. Memory use for LZMA compressing is about 10 times the dictionary size. Memory use for LZMA decompressing is close to the dictionary size. Memory use for PPMd compressing and decompressing is almost equal to the dictionary size.
Word size
Enter the length of words, which will be used to find identical sequences of bytes for compression. For LZMA, big word size usually gives a little bit better compression ratio and slower compression process. Big word size parameter can significantly increase compression ratio in case when files contain long identical sequences of bytes. For PPMd word size has a big meaning. It strongly affects both compression ratio and compression/decompression speed.
Create solid archive
When checked, all files will be compressed as one continuous data stream. It usually improves compression ratio.
© 2001-2019 ALTAP. All rights reserved.


Create New Archive dialog box

Altap Salamander: Plugins: 7-ZIP: Dialog Boxes

Create New Archive

Use this dialog to setup compression and encryption parameters for 7-Zip archive.

Note: If archive already exists, title of this dialog box will be Add Files to Archive.

Options

Encrypt files, Password, Confirm password
When checked, files will be encrypted before adding to archive file. Enter (and confirm) a password needed for decryption.
Compression level
Choose the compression level. You can use one of the following values:
Value | Description
Store | No compression is used, files are just stored in archive in its original size.
Fast | Fast compression.
Normal | Recommended level of compression.
Maximum | Better compression, but it is slower and needs more memory.
Ultra | Best compression, but it is even slower and needs even more memory.
Compression method
Select the compression method. You can use one of the following methods:
Method | Description
LZMA | 7-Zip's default compression method. It provides high compression ratio and very fast decompression.
PPMd | Dmitry Shkarin's PPMdH algorithm with small changes. Usually it provides high compression ratio and high speed for text files.
Dictionary size
Enter the dictionary size for the compression method. The higher dictionary size means the better compression, but it is slower and needs more memory. Memory usage for LZMA compressing is about 10 times more than dictionary size. Memory usage for LZMA decompressing is close to value of dictionary size. Memory usage for PPMd compressing and decompressing is almost equal to dictionary size.
Word size
Enter the length of words, which will be used to find identical sequences of bytes for compression. Usually for LZMA big word size gives a little bit better compression ratio and slower compression process. Big word size parameter can significantly increase compression ratio in case when files contain long identical sequences of bytes. For PPMd word size has big meaning. It strongly affects both compression ratio and compression/decompression speed.
Create solid archive
When checked, all files will be compressed as one continuous data stream. It usually improves compression ratio.
Don't show this dialog box again (you can change it later in config dialog)
When checked, this dialog will not be displayed next time. You can change it in the 7-Zip configuration dialog box, see Display dialog box with extended options before packing.
Configure
Use this button to open the 7-Zip configuration dialog box.
© 2001-2019 ALTAP. All rights reserved.